Skip to main content
PATCH
Update Sales Order Line Item File

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Path Parameters

salesOrderId
integer<int32>
required

The id of the sales order that the file belong to.

salesOrderLineItemId
integer<int32>
required

The id of the sales order line item that the file belong to.

salesOrderLineItemFileId
integer<int32>
required

The id for a specific sales order line item file.

Body

application/json

The file to create.

Model Class: UpdateSalesOrderLineItemFile

FileData
string<byte>

Base64 encoded data of the file.

FileDataType
string

Type of file.

FileName
string

name of the file.

Response

The updated sales order line item file.

Model Class: SalesOrderLineItemFile

Id
integer<int32>
required

Unique ID to identify a sales order line item file.

SalesOrderLineItemId
integer<int32>
required

Unique ID to identify a sales order item.

SalesOrderId
integer<int32>
required

Unique ID to identify a sales order.

FileId
integer<int32>
required

Unique ID to identify a file.

FileDataType
string
required

Type of file.

Size
number<decimal>
required

Image size.

CreatedAt
string<date-time>
required

Date when the file was created in the system.

FileName
string
required

name of the file.